# Module `ROUTETASK`

A ROUTETASK orchestrates the travel to a specific zone defined within the ME.

## Global(s)

ROUTETASK |

## Type `ROUTETASK`

ROUTETASK.ClassName |
ROUTETASK.GoalVerb |
ROUTETASK.New(table, string, self, LandingZones, TaskBriefing) | Creates a new ROUTETASK.

## Global(s)

#ROUTETASK ROUTETASK

## Type `ROUTETASK`

### Field(s)

#string ROUTETASK.ClassName

#string ROUTETASK.GoalVerb

ROUTETASK.New(table, string, self, LandingZones, TaskBriefing)

  Creates a new ROUTETASK.

  ### Parameters

  - `table` : sring,...}|string LandingZones Table of Zone Names where the target is located.

  - `string` : TaskBriefing (optional) Defines a text describing the briefing of the task.

  - `self` :

  - `LandingZones` :

  - `TaskBriefing` :

  ### Return value

  ROUTETASK